Bug 604492 - [abrt] crash in system-config-printer-1.2.2-4.fc13: jobviewer.py:1466:update_status:KeyError: 'job-printer-name'
[abrt] crash in system-config-printer-1.2.2-4.fc13: jobviewer.py:1466:update_...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:90637129
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 23:53 EDT by dlfrancis
Modified: 2010-07-01 14:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.2.3-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 14:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (941 bytes, text/plain)
2010-06-15 23:53 EDT, dlfrancis
no flags Details

  None (edit)
Description dlfrancis 2010-06-15 23:53:38 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: python /usr/share/system-config-printer/system-config-printer.py --configure-printer psc-1300-series
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.33.5-124.fc13.i686.PAE
package: system-config-printer-1.2.2-4.fc13
reason: jobviewer.py:1466:update_status:KeyError: 'job-printer-name'
release: Fedora release 13 (Goddard)

backtrace
-----
jobviewer.py:1466:update_status:KeyError: 'job-printer-name'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 612, in on_show_completed_jobs_activate
    self.monitor.refresh(which_jobs=which_jobs, refresh_all=False)
  File "/usr/share/system-config-printer/monitor.py", line 587, in refresh
    jobs.copy ())
  File "/usr/share/system-config-printer/jobviewer.py", line 1636, in current_printers_and_jobs
    self.update_status ()
  File "/usr/share/system-config-printer/jobviewer.py", line 1466, in update_status
    printer = self.jobs[jobid]['job-printer-name']
KeyError: 'job-printer-name'

Local variables in innermost frame:
printer: u'Deskjet-D1400-series'
upset_printers: set([u'Deskjet-D1400-series'])
reasons: [<statereason.StateReason (ERROR,Deskjet-D1400-series,media-empty)>]
self: <jobviewer.JobViewer instance at 0x8fa228c>
jobid: 5
my_upset_printers: set([])
have_jobs: None
Comment 1 dlfrancis 2010-06-15 23:53:40 EDT
Created attachment 424340 [details]
File: backtrace
Comment 4 Jiri Popelka 2010-06-16 09:09:58 EDT
Fixed upstream (commit e502a8a).
Comment 5 Fedora Update System 2010-06-28 12:32:24 EDT
system-config-printer-1.2.3-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/system-config-printer-1.2.3-3.fc13
Comment 6 Fedora Update System 2010-06-28 19:38:03 EDT
system-config-printer-1.2.3-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.3-3.fc13
Comment 7 Fedora Update System 2010-07-01 14:38:09 EDT
system-config-printer-1.2.3-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.